## org.apache.hadoop.streaming
Class DumpTypedBytes

    java.lang.Object
      org.apache.hadoop.streaming.DumpTypedBytes

All Implemented Interfaces:
  Configurable, Tool

    public class DumpTypedBytes

extends Object
implements Tool

Utility program that fetches all files that match a given pattern and dumps their content to stdout as typed bytes. This works for all files that can be handled by `AutoInputFormat`.

Constructor Summary
`DumpTypedBytes()`
`DumpTypedBytes(Configuration conf)`

Method Summary
`Configuration` `getConf()` Return the configuration used by this object.
`static void` `main(String[] args)`
`int` `run(String[] args)` The main driver for `DumpTypedBytes`.
`void` `setConf(Configuration conf)` Set the configuration to be used by this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DumpTypedBytes

    public DumpTypedBytes(Configuration conf)

### DumpTypedBytes

    public DumpTypedBytes()

Method Detail

### getConf

    public Configuration getConf()

  Description copied from interface: `Configurable`
  Return the configuration used by this object.

  Specified by:
    `getConf` in interface `Configurable`

### setConf

    public void setConf(Configuration conf)

  Description copied from interface: `Configurable`
  Set the configuration to be used by this object.

  Specified by:
    `setConf` in interface `Configurable`

### run

    public int run(String[] args)
            throws Exception

  The main driver for `DumpTypedBytes`.

  Specified by:
    `run` in interface `Tool`
  Parameters:
    `args` - command specific arguments.
  Returns:
    exit code.
  Throws:
    `Exception`

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Copyright © 2009 The Apache Software Foundation